#include "../Framework2/OpenGL/OpenGLApp.h"
#include "../Framework2/Util/OpenGLModel.h"
#include "../Framework2/Util/ParticleSystem.h"

class MainApp : public OpenGLApp {
public:
	void resetCamera();

	bool init();
	bool exit();

	bool load();
	bool unload();

	void drawCandles(bool lit);
	void drawFlames();
	void drawQuad();
	bool drawFrame();
protected:
	OpenGLModel *candle;
	ParticleSystem *flame;

	vec3 candlePos[4];

	ShaderID lighting, gauss0, gauss1;
	TextureID particle;

	TextureID blur0, blur1;
};
